%define  patch_name kernel-fix-net

Name: %patch_name
Version: 2004.05.09
Release: alt1

Summary: %patch_name kernel patch - Linux network layer fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  0	00_irlan-makefile-fix.patch
%source  1	01_module_license.patch
%source  2	02_msfilter-error.patch
%source  3	03_masquerade-ip_rt_put.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux network layer fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 02_ipt_ECN-unclone-fix.patch
  - 03_nat-unused.patch
  - 04_udp-no-EAGAIN.patch
  - 08_igmp-ip_mc_down.patch
  - 09_igmp-init-fix.patch
  - 10_ipv4-tcp_tw_put.patch
  - 11_ipv6-tcp_tw_put.patch
- Added:
  + 02_msfilter-error.patch: fix return value on MCAST_MSFILTER error case
  + 03_masquerade-ip_rt_put.patch: missing ip_rt_put in ipt_MASQUERADE

* Tue Apr 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.20-alt1
- Removed (moved to kernel-fix-security):
  - 05_igmp-msfilter-check.patch
  - 06_igmp-msfilter-check.patch
  - 07_export-sysctl_optmem_max.patch

* Sat Apr 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.03-alt1
- Added:
  + 08_igmp-ip_mc_down.patch: do nothing in ip_mc_down() if ip_mc_up() was not
    called previously
  + 09_igmp-init-fix.patch: fix IGMPv3 timer initialization when device not
    'upped'
  + 10_ipv4-tcp_tw_put.patch: use tcp_tw_put on time-wait sockets
  + 11_ipv6-tcp_tw_put.patch: use tcp_tw_put on time-wait sockets (IPv6)

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 02_ipt_ECN-unclone-fix.patch: fix ECN target cloned skb problem
  + 03_nat-unused.patch: kill unused structure member
  + 04_udp-no-EAGAIN.patch: do not return -EAGAIN on blocking UDP socket
  + 05_igmp-msfilter-check.patch: verify MSFILTER option length
  + 06_igmp-msfilter-check.patch: check for MSFILTER length overflow
  + 07_export-sysctl_optmem_max.patch: export sysctl_optmem_max to modules

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Removed obsolete patches (merged upstream):
  - 15_sock_queue_rcv_skb-len.patch
  - 16_econet-skb-leak.patch

* Mon Jan 19 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.19-alt1
- Updated for kernel 2.4.24.
- Removed obsolete patches (merged upstream):
  - 02_iproute2-build-fix.patch
  - 04_bridge-kfree_skb.patch
  - 05_bridge-checksum-fix.patch
  - 06_ipt_REJECT-OUTPUT-fix.patch
  - 07_igmp-ip_mc_list-deadlock.patch
  - 08_skb-unshare-before-mangling.patch
  - 09_vlan-shared-skb.patch
  - 10_ip_fragment-nfcache.patch
  - 11_ipv6-mcast-typo.patch
  - 12_ipt_REDIRECT-oops.patch
  - 13_destroy_conntrack-locking.patch
  - 14_conntrack-original-dst.patch

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 15_sock_queue_rcv_skb-len.patch: do not deref skb->len after it is
    queued to the socket.
  + 16_econet-skb-leak.patch: Do not leak SKBs if ec_queue_packet()
    fails.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 13_destroy_conntrack-locking.patch
  + 14_conntrack-original-dst.patch
- Removed:
  - 03_nat-range-fix.patch (seems to uncover more problems in netfilter which
    are not yet fixed).

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Removed 02_kill_igmpv3.patch (replaced with another version which was
  accepted into 2.4.23-pre).
- Added:
  + 02_iproute2-build-fix.patch
  + 03_nat-range-fix.patch
  + 04_bridge-kfree_skb.patch
  + 05_bridge-checksum-fix.patch
  + 06_ipt_REJECT-OUTPUT-fix.patch
  + 07_igmp-ip_mc_list-deadlock.patch
  + 08_skb-unshare-before-mangling.patch
  + 09_vlan-shared-skb.patch
  + 10_ip_fragment-nfcache.patch
  + 11_ipv6-mcast-typo.patch
  + 12_ipt_REDIRECT-oops.patch

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.29-alt1
- added 02_kill_igmpv3.patch: hide IGMPv3 definitions from <linux/in.h> when
  included from userspace (workaround for #3053)

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 01_module_license.patch: add missing MODULE_LICENSE

* Tue Jul 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.15-alt1
- added:
  + irlan-makefile-fix - avoid duplicate modules

